cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

What Python modules does the OneAgent SDK import?

Ben_Harvey
Frequent Guest

Hi everyone,

 

Im looking to install the OneAgent plugin build tools and simulator on my host machine, however im having issues installing it from the .whl file included with the SDK.
In short it looks to be that pip cant reach the download location due to being blocked by network admin.

What I'm looking for is a list of modules that i can have downloaded and installed for me through our IT department.

 

Thanks,

Ben.

3 REPLIES 3

Julius_Loman
Leader

Briefly looking at the current METADATA of the whl package, these should be the dependencies you need:

Requires-Dist: bottle (>=0.12.9)
Requires-Dist: colorama (>=0.3.7)
Requires-Dist: jsonschema (>=2.5.1)
Requires-Dist: pip (>=7.1.2)
Requires-Dist: requests (>=2.9.1)
Requires-Dist: setuptools (>=18.2)
Requires-Dist: wheel (>=0.26)

 

 However, if you use any module in your code, the Plugin-SDK will need to download it again when packaging, regardless of the fact you already have it installed.

TEMPEST a.s., Slovakia, Dynatrace Master Partner

Thanks for your help@Julius_Loman,
I didnt realise .whls were just .zip in disguise.


However, if you use any module in your code, the Plugin-SDK will need to download it again when packaging, regardless of the fact you already have it installed.


This is likely to cause me trouble. Again, thanks for your help.